> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Pay Link Webhook

> Create a webhook to listen for transaction events on a specific pay link.

<Info>
  **NOTE:** When using Helio on mainnet, set your Base URL to [https://api.hel.io](https://api.hel.io) and generate your API keys from [moonpay.hel.io](https://app.hel.io/) . For testnet, use [https://api.dev.hel.io](https://api.dev.hel.io) and generate your API keys from [moonpay.dev.hel.io](https://app.dev.hel.io/).
</Info>


## OpenAPI

````yaml POST /v1/webhook/paylink/transaction
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/webhook/paylink/transaction:
    post:
      tags:
        - Webhooks
      summary: Create a Pay Link Webhook
      description: >-
        Create a webhook to listen for transaction events on a specific pay
        link.
      operationId: PaylinkTransactionHookController_createTransactionHook
      parameters:
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaylinkTransactionHookDto'
      responses:
        '200':
          description: Webhook created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaylinkTransactionHookEntity'
              examples:
                webhookCreationResponse:
                  summary: Webhook creation response
                  value:
                    id: 6812aec64b14347beb071599
                    creator: undefined
                    paylink: 67e548619967b38ac797d6ce
                    company: 667c1f9352919e407156128c
                    targetUrl: https://webhook.site/68644b4f-f63c-4815-9b25-51487efbf13a
                    events:
                      - CREATED
                    sharedToken: >-
                      vF5C1KZKiGE44mJ2NOYPPeGewkNfWE3JWSaa1EYAsh1tltpPE9BUtg+0GG8YMzLw3GTLIwsOWMajaHUO7bfLQ/hP9lg4q9Zo6Lv4zDqN8eUH5bBil2O6KFv6bdW+dXFv
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    CreatePaylinkTransactionHookDto:
      type: object
      properties:
        events:
          type: string
          enum:
            - CREATED
          description: The type of event that triggers the webhook. Use 'CREATED'.
        paylinkId:
          type: string
          description: The ID of the pay link the webhook is associated with.
        targetUrl:
          type: string
          description: The URL that will receive the webhook payload when the event occurs.
      required:
        - events
        - paylinkId
        - targetUrl
    PaylinkTransactionHookEntity:
      type: object
      properties:
        events:
          type: string
          enum:
            - CREATED
        id:
          type: string
        paylink:
          type: string
        company:
          type: string
        targetUrl:
          type: string
        sharedToken:
          type: string
        creator:
          type: string
      required:
        - events
        - id
        - paylink
        - company
        - targetUrl
        - sharedToken
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````